org.apache.http.impl.client

## Class AutoRetryHttpClient

- java.lang.Object
- - org.apache.http.impl.client.AutoRetryHttpClient

- All Implemented Interfaces:
    HttpClient

  Deprecated.
  (4.3) use `HttpClientBuilder`.

      @Deprecated
      @Contract(threading=SAFE_CONDITIONAL)
      public class AutoRetryHttpClient
      extends Object
      implements HttpClient

  `HttpClient` implementation that can automatically retry the request in case of a non-2xx response using the `ServiceUnavailableRetryStrategy` interface.
  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoRetryHttpClient()` Deprecated. Constructs a `AutoRetryHttpClient` with default caching settings that stores cache entries in memory and uses a vanilla `DefaultHttpClient` for backend requests.
    `AutoRetryHttpClient(HttpClient client)` Deprecated. Constructs a `AutoRetryHttpClient` with default caching settings that stores cache entries in memory and uses the given `HttpClient` for backend requests.
    `AutoRetryHttpClient(HttpClient client, ServiceUnavailableRetryStrategy retryStrategy)` Deprecated.
    `AutoRetryHttpClient(ServiceUnavailableRetryStrategy config)` Deprecated. Constructs a `AutoRetryHttpClient` with the given caching options that stores cache entries in memory and uses a vanilla `DefaultHttpClient` for backend requests.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.HttpResponse` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request)` Deprecated. Executes HTTP request using the default context.
    `org.apache.http.HttpResponse` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` Deprecated. Executes HTTP request using the given context.
    `<T> T` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, ResponseHandler<? extends T> responseHandler)` Deprecated. Executes HTTP request to the target using the default context and processes the response using the given response handler.
    `<T> T` | `execute(org.apache.http.HttpHost target, org.apache.http.HttpRequest request, ResponseHandler<? extends T> responseHandler, org.apache.http.protocol.HttpContext context)` Deprecated. Executes HTTP request to the target using the given context and processes the response using the given response handler.
    `org.apache.http.HttpResponse` | `execute(HttpUriRequest request)` Deprecated. Executes HTTP request using the default context.
    `org.apache.http.HttpResponse` | `execute(HttpUriRequest request, org.apache.http.protocol.HttpContext context)` Deprecated. Executes HTTP request using the given context.
    `<T> T` | `execute(HttpUriRequest request, ResponseHandler<? extends T> responseHandler)` Deprecated. Executes HTTP request using the default context and processes the response using the given response handler.
    `<T> T` | `execute(HttpUriRequest request, ResponseHandler<? extends T> responseHandler, org.apache.http.protocol.HttpContext context)` Deprecated. Executes HTTP request using the given context and processes the response using the given response handler.
    `ClientConnectionManager` | `getConnectionManager()` Deprecated. Obtains the connection manager used by this client.
    `org.apache.http.params.HttpParams` | `getParams()` Deprecated. Obtains the parameters for this client.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoRetryHttpClient

          public AutoRetryHttpClient(HttpClient client,
                             ServiceUnavailableRetryStrategy retryStrategy)

      Deprecated.

    - #### AutoRetryHttpClient

          public AutoRetryHttpClient()

      Deprecated.
      Constructs a `AutoRetryHttpClient` with default caching settings that stores cache entries in memory and uses a vanilla `DefaultHttpClient` for backend requests.

    - #### AutoRetryHttpClient

          public AutoRetryHttpClient(ServiceUnavailableRetryStrategy config)

      Deprecated.
      Constructs a `AutoRetryHttpClient` with the given caching options that stores cache entries in memory and uses a vanilla `DefaultHttpClient` for backend requests.
      Parameters:
        `config` - retry configuration module options

    - #### AutoRetryHttpClient

          public AutoRetryHttpClient(HttpClient client)

      Deprecated.
      Constructs a `AutoRetryHttpClient` with default caching settings that stores cache entries in memory and uses the given `HttpClient` for backend requests.
      Parameters:
        `client` - used to make origin requests

  - ### Method Detail

    - #### execute

          public org.apache.http.HttpResponse execute(org.apache.http.HttpHost target,
                                             org.apache.http.HttpRequest request)
                                               throws IOException

      Deprecated.
      Description copied from interface: `HttpClient`
      Executes HTTP request using the default context.
      Specified by:
        `execute` in interface `HttpClient`
      Parameters:
        `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
        `request` - the request to execute
      Returns:
        the response to the request. This is always a final response, never an intermediate response with an 1xx status code. Whether redirects or authentication challenges will be returned or handled automatically depends on the implementation and configuration of this client.
      Throws:
        `IOException` - in case of a problem or the connection was aborted
        `ClientProtocolException` - in case of an http protocol error

    - #### execute

          public <T> T execute(org.apache.http.HttpHost target,
                      org.apache.http.HttpRequest request,
                      ResponseHandler<? extends T> responseHandler)
                    throws IOException

      Deprecated.
      Description copied from interface: `HttpClient`
      Executes HTTP request to the target using the default context and processes the response using the given response handler.

      Implementing classes are required to ensure that the content entity associated with the response is fully consumed and the underlying connection is released back to the connection manager automatically in all cases relieving individual `ResponseHandler`s from having to manage resource deallocation internally.

      Specified by:
        `execute` in interface `HttpClient`
      Parameters:
        `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
        `request` - the request to execute
        `responseHandler` - the response handler
      Returns:
        the response object as generated by the response handler.
      Throws:
        `IOException` - in case of a problem or the connection was aborted
        `ClientProtocolException` - in case of an http protocol error

    - #### execute

          public <T> T execute(org.apache.http.HttpHost target,
                      org.apache.http.HttpRequest request,
                      ResponseHandler<? extends T> responseHandler,
                      org.apache.http.protocol.HttpContext context)
                    throws IOException

      Deprecated.
      Description copied from interface: `HttpClient`
      Executes HTTP request to the target using the given context and processes the response using the given response handler.

      Implementing classes are required to ensure that the content entity associated with the response is fully consumed and the underlying connection is released back to the connection manager automatically in all cases relieving individual `ResponseHandler`s from having to manage resource deallocation internally.

      Specified by:
        `execute` in interface `HttpClient`
      Parameters:
        `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
        `request` - the request to execute
        `responseHandler` - the response handler
        `context` - the context to use for the execution, or `null` to use the default context
      Returns:
        the response object as generated by the response handler.
      Throws:
        `IOException` - in case of a problem or the connection was aborted
        `ClientProtocolException` - in case of an http protocol error

    - #### execute

          public org.apache.http.HttpResponse execute(HttpUriRequest request)
                                               throws IOException

      Deprecated.
      Description copied from interface: `HttpClient`
      Executes HTTP request using the default context.
      Specified by:
        `execute` in interface `HttpClient`
      Parameters:
        `request` - the request to execute
      Returns:
        the response to the request. This is always a final response, never an intermediate response with an 1xx status code. Whether redirects or authentication challenges will be returned or handled automatically depends on the implementation and configuration of this client.
      Throws:
        `IOException` - in case of a problem or the connection was aborted
        `ClientProtocolException` - in case of an http protocol error

    - #### execute

          public org.apache.http.HttpResponse execute(HttpUriRequest request,
                                             org.apache.http.protocol.HttpContext context)
                                               throws IOException

      Deprecated.
      Description copied from interface: `HttpClient`
      Executes HTTP request using the given context.
      Specified by:
        `execute` in interface `HttpClient`
      Parameters:
        `request` - the request to execute
        `context` - the context to use for the execution, or `null` to use the default context
      Returns:
        the response to the request. This is always a final response, never an intermediate response with an 1xx status code. Whether redirects or authentication challenges will be returned or handled automatically depends on the implementation and configuration of this client.
      Throws:
        `IOException` - in case of a problem or the connection was aborted
        `ClientProtocolException` - in case of an http protocol error

    - #### execute

          public <T> T execute(HttpUriRequest request,
                      ResponseHandler<? extends T> responseHandler)
                    throws IOException

      Deprecated.
      Description copied from interface: `HttpClient`
      Executes HTTP request using the default context and processes the response using the given response handler.

      Implementing classes are required to ensure that the content entity associated with the response is fully consumed and the underlying connection is released back to the connection manager automatically in all cases relieving individual `ResponseHandler`s from having to manage resource deallocation internally.

      Specified by:
        `execute` in interface `HttpClient`
      Parameters:
        `request` - the request to execute
        `responseHandler` - the response handler
      Returns:
        the response object as generated by the response handler.
      Throws:
        `IOException` - in case of a problem or the connection was aborted
        `ClientProtocolException` - in case of an http protocol error

    - #### execute

          public <T> T execute(HttpUriRequest request,
                      ResponseHandler<? extends T> responseHandler,
                      org.apache.http.protocol.HttpContext context)
                    throws IOException

      Deprecated.
      Description copied from interface: `HttpClient`
      Executes HTTP request using the given context and processes the response using the given response handler.

      Implementing classes are required to ensure that the content entity associated with the response is fully consumed and the underlying connection is released back to the connection manager automatically in all cases relieving individual `ResponseHandler`s from having to manage resource deallocation internally.

      Specified by:
        `execute` in interface `HttpClient`
      Parameters:
        `request` - the request to execute
        `responseHandler` - the response handler
        `context` - the context to use for the execution, or `null` to use the default context
      Returns:
        the response object as generated by the response handler.
      Throws:
        `IOException` - in case of a problem or the connection was aborted
        `ClientProtocolException` - in case of an http protocol error

    - #### execute

          public org.apache.http.HttpResponse execute(org.apache.http.HttpHost target,
                                             org.apache.http.HttpRequest request,
                                             org.apache.http.protocol.HttpContext context)
                                               throws IOException

      Deprecated.
      Description copied from interface: `HttpClient`
      Executes HTTP request using the given context.
      Specified by:
        `execute` in interface `HttpClient`
      Parameters:
        `target` - the target host for the request. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
        `request` - the request to execute
        `context` - the context to use for the execution, or `null` to use the default context
      Returns:
        the response to the request. This is always a final response, never an intermediate response with an 1xx status code. Whether redirects or authentication challenges will be returned or handled automatically depends on the implementation and configuration of this client.
      Throws:
        `IOException` - in case of a problem or the connection was aborted
        `ClientProtocolException` - in case of an http protocol error

    - #### getConnectionManager

          public ClientConnectionManager getConnectionManager()

      Deprecated.
      Description copied from interface: `HttpClient`
      Obtains the connection manager used by this client.
      Specified by:
        `getConnectionManager` in interface `HttpClient`
      Returns:
        the connection manager

    - #### getParams

          public org.apache.http.params.HttpParams getParams()

      Deprecated.
      Description copied from interface: `HttpClient`
      Obtains the parameters for this client. These parameters will become defaults for all requests being executed with this client, and for the parameters of dependent objects in this client.
      Specified by:
        `getParams` in interface `HttpClient`
      Returns:
        the default parameters

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.